export type ColorTokenType = 'form-control-unselected-background' | 'form-control-selected-background' | 'form-control-unselected-disabled-background' | 'form-control-selected-disabled-background' | 'form-control-foreground' | 'form-control-border-default' | 'form-control-border-hover' | 'form-control-border-disabled' | 'backdrop' | 'action-primary-default' | 'action-primary-hover' | 'action-primary-active' | 'action-primary-focus' | 'action-primary-disabled' | 'action-secondary-default' | 'action-secondary-hover' | 'action-secondary-active' | 'action-secondary-focus' | 'action-secondary-disabled' | 'action-critical-default' | 'action-critical-hover' | 'action-critical-active' | 'action-critical-focus' | 'action-critical-disabled' | 'action-success-default' | 'action-success-hover' | 'action-success-active' | 'action-success-focus' | 'action-success-disabled' | 'text-default' | 'text-subdued' | 'text-hover' | 'text-disabled' | 'text-hint-text' | 'text-on-primary' | 'text-on-emphasis' | 'text-on-secondary' | 'text-on-secondary-disabled' | 'text-on-action-critical' | 'text-on-action-success' | 'text-on-interactive' | 'text-on-interactive-subdued' | 'text-on-background-warning' | 'text-on-background-critical' | 'text-on-background-success' | 'background-default' | 'background-subdued' | 'background-hover' | 'background-subdued-selected' | 'background-subdued-hover' | 'background-disabled' | 'background-emphasis' | 'background-warning-default' | 'background-warning-hover' | 'background-critical-default' | 'background-critical-hover' | 'background-success-default' | 'background-success-hover' | 'icon-default' | 'icon-subdued' | 'icon-disabled' | 'icon-hover' | 'icon-critical' | 'icon-success' | 'icon-warning' | 'icon-highlight' | 'icon-on-emphasis' | 'icon-on-primary' | 'icon-on-secondary' | 'icon-on-secondary-disabled' | 'icon-on-critical' | 'icon-on-success' | 'icon-on-interactive-subdued' | 'icon-on-background-warning' | 'icon-on-background-critical' | 'icon-on-background-success' | 'icon-on-interactive' | 'interactive-brand-default' | 'interactive-brand-subdued' | 'interactive-brand-hover' | 'interactive-brand-disabled' | 'interactive-critical-default' | 'interactive-critical-hover' | 'interactive-critical-disabled' | 'focus-default' | 'border-default' | 'border-emphasis' | 'border-subdued' | 'border-hover' | 'border-disabled' | 'border-critical' | 'border-warning' | 'border-success' | 'border-highlight' | 'accent-10' | 'accent-100' | 'accent-105' | 'accent-110' | 'accent-115' | 'neutral-10' | 'neutral-20' | 'neutral-40' | 'neutral-60' | 'neutral-80' | 'neutral-white' | 'neutral-black' | 'neutral-cool-10' | 'neutral-cool-20' | 'neutral-cool-23' | 'neutral-cool-25' | 'neutral-cool-60' | 'semantic-critical-10' | 'semantic-critical-100' | 'semantic-critical-105' | 'semantic-critical-110' | 'semantic-critical-115' | 'semantic-warning-10' | 'semantic-warning-100' | 'semantic-warning-105' | 'semantic-warning-110' | 'semantic-warning-115' | 'semantic-success-10' | 'semantic-success-100' | 'semantic-success-105' | 'semantic-success-110' | 'semantic-success-115' | 'semantic-highlight-10' | 'semantic-highlight-100' | 'semantic-highlight-105' | 'semantic-highlight-110' | 'semantic-highlight-115' | 'support-red-10' | 'support-red-100' | 'support-red-105' | 'support-red-115' | 'support-pink-10' | 'support-pink-100' | 'support-pink-110' | 'support-pink-115' | 'support-purple-10' | 'support-purple-80' | 'support-purple-100' | 'support-purple-110' | 'support-purple-120' | 'support-dark-blue-10' | 'support-dark-blue-100' | 'support-dark-blue-110' | 'support-dark-blue-115' | 'support-green-10' | 'support-green-100' | 'support-green-110' | 'support-green-115' | 'support-light-green-10' | 'support-light-green-100' | 'support-light-green-110' | 'support-light-green-115' | 'support-yellow-10' | 'support-yellow-100' | 'support-yellow-105' | 'support-yellow-115' | 'support-brown-10' | 'support-brown-20' | 'support-brown-100' | 'support-brown-105' | 'support-grey-10' | 'support-grey-100' | 'support-grey-110' | 'support-grey-115' | 'support-grey-200' | 'opacity-neutral-65' | 'opacity-neutral-32' | 'opacity-neutral-08' | 'opacity-accent-38' | 'opacity-critical-38' | 'opacity-success-38';

export const colorTokens: Record<ColorTokenType, string> = {
	'form-control-unselected-background': 'var(--form-control-unselected-background)',
	'form-control-selected-background': 'var(--form-control-selected-background)',
	'form-control-unselected-disabled-background': 'var(--form-control-unselected-disabled-background)',
	'form-control-selected-disabled-background': 'var(--form-control-selected-disabled-background)',
	'form-control-foreground': 'var(--form-control-foreground)',
	'form-control-border-default': 'var(--form-control-border-default)',
	'form-control-border-hover': 'var(--form-control-border-hover)',
	'form-control-border-disabled': 'var(--form-control-border-disabled)',
	'backdrop': 'var(--backdrop)',
	'action-primary-default': 'var(--action-primary-default)',
	'action-primary-hover': 'var(--action-primary-hover)',
	'action-primary-active': 'var(--action-primary-active)',
	'action-primary-focus': 'var(--action-primary-focus)',
	'action-primary-disabled': 'var(--action-primary-disabled)',
	'action-secondary-default': 'var(--action-secondary-default)',
	'action-secondary-hover': 'var(--action-secondary-hover)',
	'action-secondary-active': 'var(--action-secondary-active)',
	'action-secondary-focus': 'var(--action-secondary-focus)',
	'action-secondary-disabled': 'var(--action-secondary-disabled)',
	'action-critical-default': 'var(--action-critical-default)',
	'action-critical-hover': 'var(--action-critical-hover)',
	'action-critical-active': 'var(--action-critical-active)',
	'action-critical-focus': 'var(--action-critical-focus)',
	'action-critical-disabled': 'var(--action-critical-disabled)',
	'action-success-default': 'var(--action-success-default)',
	'action-success-hover': 'var(--action-success-hover)',
	'action-success-active': 'var(--action-success-active)',
	'action-success-focus': 'var(--action-success-focus)',
	'action-success-disabled': 'var(--action-success-disabled)',
	'text-default': 'var(--text-default)',
	'text-subdued': 'var(--text-subdued)',
	'text-hover': 'var(--text-hover)',
	'text-disabled': 'var(--text-disabled)',
	'text-hint-text': 'var(--text-hint-text)',
	'text-on-primary': 'var(--text-on-primary)',
	'text-on-emphasis': 'var(--text-on-emphasis)',
	'text-on-secondary': 'var(--text-on-secondary)',
	'text-on-secondary-disabled': 'var(--text-on-secondary-disabled)',
	'text-on-action-critical': 'var(--text-on-action-critical)',
	'text-on-action-success': 'var(--text-on-action-success)',
	'text-on-interactive': 'var(--text-on-interactive)',
	'text-on-interactive-subdued': 'var(--text-on-interactive-subdued)',
	'text-on-background-warning': 'var(--text-on-background-warning)',
	'text-on-background-critical': 'var(--text-on-background-critical)',
	'text-on-background-success': 'var(--text-on-background-success)',
	'background-default': 'var(--background-default)',
	'background-subdued': 'var(--background-subdued)',
	'background-hover': 'var(--background-hover)',
	'background-subdued-selected': 'var(--background-subdued-selected)',
	'background-subdued-hover': 'var(--background-subdued-hover)',
	'background-disabled': 'var(--background-disabled)',
	'background-emphasis': 'var(--background-emphasis)',
	'background-warning-default': 'var(--background-warning-default)',
	'background-warning-hover': 'var(--background-warning-hover)',
	'background-critical-default': 'var(--background-critical-default)',
	'background-critical-hover': 'var(--background-critical-hover)',
	'background-success-default': 'var(--background-success-default)',
	'background-success-hover': 'var(--background-success-hover)',
	'icon-default': 'var(--icon-default)',
	'icon-subdued': 'var(--icon-subdued)',
	'icon-disabled': 'var(--icon-disabled)',
	'icon-hover': 'var(--icon-hover)',
	'icon-critical': 'var(--icon-critical)',
	'icon-success': 'var(--icon-success)',
	'icon-warning': 'var(--icon-warning)',
	'icon-highlight': 'var(--icon-highlight)',
	'icon-on-emphasis': 'var(--icon-on-emphasis)',
	'icon-on-primary': 'var(--icon-on-primary)',
	'icon-on-secondary': 'var(--icon-on-secondary)',
	'icon-on-secondary-disabled': 'var(--icon-on-secondary-disabled)',
	'icon-on-critical': 'var(--icon-on-critical)',
	'icon-on-success': 'var(--icon-on-success)',
	'icon-on-interactive-subdued': 'var(--icon-on-interactive-subdued)',
	'icon-on-background-warning': 'var(--icon-on-background-warning)',
	'icon-on-background-critical': 'var(--icon-on-background-critical)',
	'icon-on-background-success': 'var(--icon-on-background-success)',
	'icon-on-interactive': 'var(--icon-on-interactive)',
	'interactive-brand-default': 'var(--interactive-brand-default)',
	'interactive-brand-subdued': 'var(--interactive-brand-subdued)',
	'interactive-brand-hover': 'var(--interactive-brand-hover)',
	'interactive-brand-disabled': 'var(--interactive-brand-disabled)',
	'interactive-critical-default': 'var(--interactive-critical-default)',
	'interactive-critical-hover': 'var(--interactive-critical-hover)',
	'interactive-critical-disabled': 'var(--interactive-critical-disabled)',
	'focus-default': 'var(--focus-default)',
	'border-default': 'var(--border-default)',
	'border-emphasis': 'var(--border-emphasis)',
	'border-subdued': 'var(--border-subdued)',
	'border-hover': 'var(--border-hover)',
	'border-disabled': 'var(--border-disabled)',
	'border-critical': 'var(--border-critical)',
	'border-warning': 'var(--border-warning)',
	'border-success': 'var(--border-success)',
	'border-highlight': 'var(--border-highlight)',
	'accent-10': 'var(--accent-10)',
	'accent-100': 'var(--accent-100)',
	'accent-105': 'var(--accent-105)',
	'accent-110': 'var(--accent-110)',
	'accent-115': 'var(--accent-115)',
	'neutral-10': 'var(--neutral-10)',
	'neutral-20': 'var(--neutral-20)',
	'neutral-40': 'var(--neutral-40)',
	'neutral-60': 'var(--neutral-60)',
	'neutral-80': 'var(--neutral-80)',
	'neutral-white': 'var(--neutral-white)',
	'neutral-black': 'var(--neutral-black)',
	'neutral-cool-10': 'var(--neutral-cool-10)',
	'neutral-cool-20': 'var(--neutral-cool-20)',
	'neutral-cool-23': 'var(--neutral-cool-23)',
	'neutral-cool-25': 'var(--neutral-cool-25)',
	'neutral-cool-60': 'var(--neutral-cool-60)',
	'semantic-critical-10': 'var(--semantic-critical-10)',
	'semantic-critical-100': 'var(--semantic-critical-100)',
	'semantic-critical-105': 'var(--semantic-critical-105)',
	'semantic-critical-110': 'var(--semantic-critical-110)',
	'semantic-critical-115': 'var(--semantic-critical-115)',
	'semantic-warning-10': 'var(--semantic-warning-10)',
	'semantic-warning-100': 'var(--semantic-warning-100)',
	'semantic-warning-105': 'var(--semantic-warning-105)',
	'semantic-warning-110': 'var(--semantic-warning-110)',
	'semantic-warning-115': 'var(--semantic-warning-115)',
	'semantic-success-10': 'var(--semantic-success-10)',
	'semantic-success-100': 'var(--semantic-success-100)',
	'semantic-success-105': 'var(--semantic-success-105)',
	'semantic-success-110': 'var(--semantic-success-110)',
	'semantic-success-115': 'var(--semantic-success-115)',
	'semantic-highlight-10': 'var(--semantic-highlight-10)',
	'semantic-highlight-100': 'var(--semantic-highlight-100)',
	'semantic-highlight-105': 'var(--semantic-highlight-105)',
	'semantic-highlight-110': 'var(--semantic-highlight-110)',
	'semantic-highlight-115': 'var(--semantic-highlight-115)',
	'support-red-10': 'var(--support-red-10)',
	'support-red-100': 'var(--support-red-100)',
	'support-red-105': 'var(--support-red-105)',
	'support-red-115': 'var(--support-red-115)',
	'support-pink-10': 'var(--support-pink-10)',
	'support-pink-100': 'var(--support-pink-100)',
	'support-pink-110': 'var(--support-pink-110)',
	'support-pink-115': 'var(--support-pink-115)',
	'support-purple-10': 'var(--support-purple-10)',
	'support-purple-80': 'var(--support-purple-80)',
	'support-purple-100': 'var(--support-purple-100)',
	'support-purple-110': 'var(--support-purple-110)',
	'support-purple-120': 'var(--support-purple-120)',
	'support-dark-blue-10': 'var(--support-dark-blue-10)',
	'support-dark-blue-100': 'var(--support-dark-blue-100)',
	'support-dark-blue-110': 'var(--support-dark-blue-110)',
	'support-dark-blue-115': 'var(--support-dark-blue-115)',
	'support-green-10': 'var(--support-green-10)',
	'support-green-100': 'var(--support-green-100)',
	'support-green-110': 'var(--support-green-110)',
	'support-green-115': 'var(--support-green-115)',
	'support-light-green-10': 'var(--support-light-green-10)',
	'support-light-green-100': 'var(--support-light-green-100)',
	'support-light-green-110': 'var(--support-light-green-110)',
	'support-light-green-115': 'var(--support-light-green-115)',
	'support-yellow-10': 'var(--support-yellow-10)',
	'support-yellow-100': 'var(--support-yellow-100)',
	'support-yellow-105': 'var(--support-yellow-105)',
	'support-yellow-115': 'var(--support-yellow-115)',
	'support-brown-10': 'var(--support-brown-10)',
	'support-brown-20': 'var(--support-brown-20)',
	'support-brown-100': 'var(--support-brown-100)',
	'support-brown-105': 'var(--support-brown-105)',
	'support-grey-10': 'var(--support-grey-10)',
	'support-grey-100': 'var(--support-grey-100)',
	'support-grey-110': 'var(--support-grey-110)',
	'support-grey-115': 'var(--support-grey-115)',
	'support-grey-200': 'var(--support-grey-200)',
	'opacity-neutral-65': 'var(--opacity-neutral-65)',
	'opacity-neutral-32': 'var(--opacity-neutral-32)',
	'opacity-neutral-08': 'var(--opacity-neutral-08)',
	'opacity-accent-38': 'var(--opacity-accent-38)',
	'opacity-critical-38': 'var(--opacity-critical-38)',
	'opacity-success-38': 'var(--opacity-success-38)'
};
